## org.eclipse.datatools.enablement.sybase.asa.baseloaders
Class SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
          org.eclipse.datatools.enablement.sybase.asa.baseloaders.SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory

All Implemented Interfaces:
  JDBCTableLoader.ITableFactory

Enclosing class:
  SchemaASABaseLoader.ASABaseTableLoader

    public static class SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory

extends JDBCTableLoader.TableFactory

Constructor Summary
`SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory()`

Method Summary
`void` `initialize(Table table, java.sql.ResultSet rs)` Initializes the new Table object using the meta-data in the result set.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader.TableFactory
`createTable, getTableEClass, setSupportedColumns`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory

    public SchemaASABaseLoader.ASABaseTableLoader.ASABaseProxyTableFactory()

Method Detail

### initialize

    public void initialize(Table table,
                           java.sql.ResultSet rs)
                    throws java.sql.SQLException

  Description copied from class: `JDBCTableLoader.TableFactory`
  Initializes the new Table object using the meta-data in the result set. This method initializes the name, description and reference generation type of the table.

  Specified by:
    `initialize` in interface `JDBCTableLoader.ITableFactory`
  Overrides:
    `initialize` in class `JDBCTableLoader.TableFactory`
  Parameters:
    `table` - a new Table object
    `rs` - the result set
  Throws:
    `java.sql.SQLException` - if anything goes wrong